Bug 729074 - Autoconf fails to generate configure for spice-gtk-7.tar.gz
Summary: Autoconf fails to generate configure for spice-gtk-7.tar.gz
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: autoconf
Version: 15
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 16:42 UTC by Boris Derzhavets
Modified: 2011-11-01 12:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-01 12:59:31 UTC


Attachments (Terms of Use)

Description Boris Derzhavets 2011-08-08 16:42:55 UTC
Description of problem:

Autoconf fails to generate configure for spice-gtk-7.tar.gz


Version-Release number of selected component (if applicable):

Fedora 15

How reproducible:

Every time

Steps to Reproduce:

1. tar -zxvf spice-gtk-7.tar.gz
2. cd spice-gtk-0.7
3. autoconf
  
Actual results:

[boris@fedora15 spice-gtk-0.7]$ autoconf

configure.ac:7: error: possibly undefined macro: AM_CONFIG_HEADER
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:10: error: possibly undefined macro: AM_INIT_AUTOMAKE
configure.ac:12: error: possibly undefined macro: AM_MAINTAINER_MODE
configure.ac:15: error: possibly undefined macro: AM_GNU_GETTEXT_VERSION
configure.ac:16: error: possibly undefined macro: AM_GNU_GETTEXT
configure.ac:37: error: possibly undefined macro: AC_PROG_LIBTOOL
configure.ac:38: error: possibly undefined macro: AM_PROG_CC_C_O
configure.ac:57: error: possibly undefined macro: AM_CONDITIONAL
configure.ac:355: error: possibly undefined macro: AM_PROG_VALAC
configure.ac:381: error: possibly undefined macro: AM_PATH_PYTHON
configure.ac:385: error: possibly undefined macro: AM_PYTHON_CHECK_VERSION
configure.ac:396: error: possibly undefined macro: AM_CHECK_PYTHON_HEADERS


Expected results:

Properly working configure

Additional info:

Comment 1 Marc-Andre Lureau 2011-09-08 14:16:02 UTC
In general, you should use autogen.sh if it is present.

Can you check with autogen.sh?

thanks


Note You need to log in before you can comment on or make changes to this bug.